package com.zjrs.ggfw.shbzk.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ShbzkDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "所属城市")
	private String sscs;
	
	@ApiModelProperty(value = "所属机构")
	@NotBlank(message = "所属机构不能为空")
	private String ssjg;
	
	@ApiModelProperty(value = "服务银行")
	@NotBlank(message = "服务银行不能为空")
	private String fwyh;
	
	@ApiModelProperty(value = "收表网点")
	private String sbwd;
	
	@ApiModelProperty(value = "申领表编码")
    private String slbbm;
	
	@ApiModelProperty(value = "卡类别")
	@NotBlank(message = "卡类别不能为空")
	private String klb;
	
	@ApiModelProperty(value = "申请类型")
	@NotBlank(message = "申请类型不能为空")
	private String sqlx;
	
	@ApiModelProperty(value = "社保卡号")
	private String sbkh;
	
	@ApiModelProperty(value = "社会保障号")
	@NotBlank(message = "社会保障号不能为空")
	private String shbzh;
	
	@ApiModelProperty(value = "姓名")
	@NotBlank(message = "姓名不能为空")
	private String xm;
	
	@ApiModelProperty(value = "生僻字描述")
	private String spzms;
	
	@ApiModelProperty(value = "国家地区")
	@NotBlank(message = "国家地区不能为空")
	private String gj;
	
	@ApiModelProperty(value = "证件类型")
	@NotBlank(message = "证件类型不能为空")
	private String zjlx;
	
	@ApiModelProperty(value = "证件号码")
	@NotBlank(message = "证件号码不能为空")
	private String zjhm;
	
	@ApiModelProperty(value = "证件有效期")
	@NotBlank(message = "证件有效期不能为空")
	private String zjyxq;
	
	@ApiModelProperty(value = "性别")
	@NotBlank(message = "性别不能为空")
	private String xb;
	
	@ApiModelProperty(value = "民族")
	@NotBlank(message = "民族不能为空")
	private String mz;
	
	@ApiModelProperty(value = "出生日期（YYYYMMDD）")
	@NotBlank(message = "出生日期不能为空")
	private String csrq;
	
	@ApiModelProperty(value = "人员状态")
	private String ryzt;
	
	@ApiModelProperty(value = "户口区县")
	private String hkqx;
	
	@ApiModelProperty(value = "户口性质")
	private String hkxz;
	
	@ApiModelProperty(value = "户口地址")
	private String hkdz;
	
	@ApiModelProperty(value = "联系手机")
	@NotBlank(message = "联系手机不能为空")
	private String lxsj;
	
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	
	@ApiModelProperty(value = "通讯地址")
	private String txdz;
	
	@ApiModelProperty(value = "邮政编码")
	private String yzbm;
	
	@ApiModelProperty(value = "电子邮箱")
	private String dzyx;
	
	@ApiModelProperty(value = "个人编号")
	private String grbh;
	
	@ApiModelProperty(value = "单位编号")
	private String dwbh;
	
	@ApiModelProperty(value = "单位名称")
	private String dwmc;
	
	@ApiModelProperty(value = "职业工种")
	private String zygz;
	
	@ApiModelProperty(value = "监护人姓名")
	private String jhrxm;
	
	@ApiModelProperty(value = "监护人证件类型")
	private String jhrzjlx;
	
	@ApiModelProperty(value = "监护人证件号码")
	private String jhrzjhm;
	
	@ApiModelProperty(value = "制卡失败原因")
	private String zksbyy;
	
	@ApiModelProperty(value = "申请时间")
	private String sqsj;
	
	@ApiModelProperty(value = "生成批次")
	private String scpc;
	
	@ApiModelProperty(value = "导出预开户")
	private String dcykh;
	
	@ApiModelProperty(value = "预开户返回")
	private String ykhfh;
	
	@ApiModelProperty(value = "导出制卡")
	private String dczk;
	
	@ApiModelProperty(value = "制卡返回")
	private String zkfh;
	
	@ApiModelProperty(value = "省中心寄出")
	private String szxjc;
	
	@ApiModelProperty(value = "市中心接收")
	private String szxjs;
	
	@ApiModelProperty(value = "领卡时间")
	private String lksj;
	
	@ApiModelProperty(value = "银行激活")
	private String yhjh;
	
	@ApiModelProperty(value = "制卡进度")
	private String zkjd;
	
	@ApiModelProperty(value = "卡状态")
	private String kzt;
	
	@ApiModelProperty(value = "卡版本")
	private String kbb;
	
	@ApiModelProperty(value = "业务单号")
	private String ywdh;
	
	@ApiModelProperty(value = "缴费单号")
	private String jfdh;
	
	@ApiModelProperty(value = "缴费时间")
	private String jfsj;
	
	@ApiModelProperty(value = "收件地址")
	private String sjdz;
	
	@ApiModelProperty(value = "数据来源")
	private String sjly;
	
	@ApiModelProperty(value = "邮寄单号")
	private String yjdh;
	
	@ApiModelProperty(value = "补换原因")
	private String bhyy;
	
	@ApiModelProperty(value = "证件图片1（身份证或其他证件有申请人姓名的面）")
	private String zjtpxm;
	
	@ApiModelProperty(value = "证件图片2（身份证国徽面或其他证件的重要信息面）")
	private String zjtpgh;
	
	@ApiModelProperty(value = "证件图片3（监护人身份证或其他证件有申请人姓名的面）")
	private String jhrzjtpxm;
	
	@ApiModelProperty(value = "证件图片4（监护人身份证国徽面或其他证件的重要信息面）")
	private String jhrzjtpgh;
	
	@ApiModelProperty(value = "证件图片5（监护关系证明材料的信息面）")
	private String jhrzjtpcl;
	
	@ApiModelProperty(value = "相片")
	@NotBlank(message = "相片不能为空")
	private String xp;

	public String getSscs() {
		return sscs;
	}

	public void setSscs(String sscs) {
		this.sscs = sscs;
	}

	public String getSsjg() {
		return ssjg;
	}

	public void setSsjg(String ssjg) {
		this.ssjg = ssjg;
	}

	public String getFwyh() {
		return fwyh;
	}

	public void setFwyh(String fwyh) {
		this.fwyh = fwyh;
	}

	public String getSbwd() {
		return sbwd;
	}

	public void setSbwd(String sbwd) {
		this.sbwd = sbwd;
	}

	public String getSlbbm() {
		return slbbm;
	}

	public void setSlbbm(String slbbm) {
		this.slbbm = slbbm;
	}

	public String getKlb() {
		return klb;
	}

	public void setKlb(String klb) {
		this.klb = klb;
	}

	public String getSqlx() {
		return sqlx;
	}

	public void setSqlx(String sqlx) {
		this.sqlx = sqlx;
	}

	public String getSbkh() {
		return sbkh;
	}

	public void setSbkh(String sbkh) {
		this.sbkh = sbkh;
	}

	public String getShbzh() {
		return shbzh;
	}

	public void setShbzh(String shbzh) {
		this.shbzh = shbzh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getSpzms() {
		return spzms;
	}

	public void setSpzms(String spzms) {
		this.spzms = spzms;
	}

	public String getGj() {
		return gj;
	}

	public void setGj(String gj) {
		this.gj = gj;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getZjyxq() {
		return zjyxq;
	}

	public void setZjyxq(String zjyxq) {
		this.zjyxq = zjyxq;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getMz() {
		return mz;
	}

	public void setMz(String mz) {
		this.mz = mz;
	}

	public String getCsrq() {
		return csrq;
	}

	public void setCsrq(String csrq) {
		this.csrq = csrq;
	}

	public String getRyzt() {
		return ryzt;
	}

	public void setRyzt(String ryzt) {
		this.ryzt = ryzt;
	}

	public String getHkqx() {
		return hkqx;
	}

	public void setHkqx(String hkqx) {
		this.hkqx = hkqx;
	}

	public String getHkxz() {
		return hkxz;
	}

	public void setHkxz(String hkxz) {
		this.hkxz = hkxz;
	}

	public String getHkdz() {
		return hkdz;
	}

	public void setHkdz(String hkdz) {
		this.hkdz = hkdz;
	}

	public String getLxsj() {
		return lxsj;
	}

	public void setLxsj(String lxsj) {
		this.lxsj = lxsj;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getTxdz() {
		return txdz;
	}

	public void setTxdz(String txdz) {
		this.txdz = txdz;
	}

	public String getYzbm() {
		return yzbm;
	}

	public void setYzbm(String yzbm) {
		this.yzbm = yzbm;
	}

	public String getDzyx() {
		return dzyx;
	}

	public void setDzyx(String dzyx) {
		this.dzyx = dzyx;
	}

	public String getGrbh() {
		return grbh;
	}

	public void setGrbh(String grbh) {
		this.grbh = grbh;
	}

	public String getDwbh() {
		return dwbh;
	}

	public void setDwbh(String dwbh) {
		this.dwbh = dwbh;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getZygz() {
		return zygz;
	}

	public void setZygz(String zygz) {
		this.zygz = zygz;
	}

	public String getJhrxm() {
		return jhrxm;
	}

	public void setJhrxm(String jhrxm) {
		this.jhrxm = jhrxm;
	}

	public String getJhrzjlx() {
		return jhrzjlx;
	}

	public void setJhrzjlx(String jhrzjlx) {
		this.jhrzjlx = jhrzjlx;
	}

	public String getJhrzjhm() {
		return jhrzjhm;
	}

	public void setJhrzjhm(String jhrzjhm) {
		this.jhrzjhm = jhrzjhm;
	}

	public String getZksbyy() {
		return zksbyy;
	}

	public void setZksbyy(String zksbyy) {
		this.zksbyy = zksbyy;
	}

	public String getSqsj() {
		return sqsj;
	}

	public void setSqsj(String sqsj) {
		this.sqsj = sqsj;
	}

	public String getScpc() {
		return scpc;
	}

	public void setScpc(String scpc) {
		this.scpc = scpc;
	}

	public String getDcykh() {
		return dcykh;
	}

	public void setDcykh(String dcykh) {
		this.dcykh = dcykh;
	}

	public String getYkhfh() {
		return ykhfh;
	}

	public void setYkhfh(String ykhfh) {
		this.ykhfh = ykhfh;
	}

	public String getDczk() {
		return dczk;
	}

	public void setDczk(String dczk) {
		this.dczk = dczk;
	}

	public String getZkfh() {
		return zkfh;
	}

	public void setZkfh(String zkfh) {
		this.zkfh = zkfh;
	}

	public String getSzxjc() {
		return szxjc;
	}

	public void setSzxjc(String szxjc) {
		this.szxjc = szxjc;
	}

	public String getSzxjs() {
		return szxjs;
	}

	public void setSzxjs(String szxjs) {
		this.szxjs = szxjs;
	}

	public String getLksj() {
		return lksj;
	}

	public void setLksj(String lksj) {
		this.lksj = lksj;
	}

	public String getYhjh() {
		return yhjh;
	}

	public void setYhjh(String yhjh) {
		this.yhjh = yhjh;
	}

	public String getZkjd() {
		return zkjd;
	}

	public void setZkjd(String zkjd) {
		this.zkjd = zkjd;
	}

	public String getKzt() {
		return kzt;
	}

	public void setKzt(String kzt) {
		this.kzt = kzt;
	}

	public String getKbb() {
		return kbb;
	}

	public void setKbb(String kbb) {
		this.kbb = kbb;
	}

	public String getYwdh() {
		return ywdh;
	}

	public void setYwdh(String ywdh) {
		this.ywdh = ywdh;
	}

	public String getJfdh() {
		return jfdh;
	}

	public void setJfdh(String jfdh) {
		this.jfdh = jfdh;
	}

	public String getJfsj() {
		return jfsj;
	}

	public void setJfsj(String jfsj) {
		this.jfsj = jfsj;
	}

	public String getSjdz() {
		return sjdz;
	}

	public void setSjdz(String sjdz) {
		this.sjdz = sjdz;
	}

	public String getSjly() {
		return sjly;
	}

	public void setSjly(String sjly) {
		this.sjly = sjly;
	}

	public String getYjdh() {
		return yjdh;
	}

	public void setYjdh(String yjdh) {
		this.yjdh = yjdh;
	}

	public String getBhyy() {
		return bhyy;
	}

	public void setBhyy(String bhyy) {
		this.bhyy = bhyy;
	}

	public String getZjtpxm() {
		return zjtpxm;
	}

	public void setZjtpxm(String zjtpxm) {
		this.zjtpxm = zjtpxm;
	}

	public String getZjtpgh() {
		return zjtpgh;
	}

	public void setZjtpgh(String zjtpgh) {
		this.zjtpgh = zjtpgh;
	}

	public String getJhrzjtpxm() {
		return jhrzjtpxm;
	}

	public void setJhrzjtpxm(String jhrzjtpxm) {
		this.jhrzjtpxm = jhrzjtpxm;
	}

	public String getJhrzjtpgh() {
		return jhrzjtpgh;
	}

	public void setJhrzjtpgh(String jhrzjtpgh) {
		this.jhrzjtpgh = jhrzjtpgh;
	}

	public String getJhrzjtpcl() {
		return jhrzjtpcl;
	}

	public void setJhrzjtpcl(String jhrzjtpcl) {
		this.jhrzjtpcl = jhrzjtpcl;
	}

	public String getXp() {
		return xp;
	}

	public void setXp(String xp) {
		this.xp = xp;
	}
}